Index: /trunk/SophyaProg/PMixer/Makefile
===================================================================
--- /trunk/SophyaProg/PMixer/Makefile	(revision 3878)
+++ /trunk/SophyaProg/PMixer/Makefile	(revision 3879)
@@ -39,6 +39,43 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)easyTest.o: easyTest.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)trianglefilt.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
+ 
+$(SOPHYAOBJP)extractRS.o: extractRS.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -111,42 +148,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
- 
-$(SOPHYAOBJP)easyTest.o: easyTest.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)trianglefilt.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
- 
-$(SOPHYAOBJP)extractRS.o: extractRS.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
+ 
+$(SOPHYAOBJP)skymixer.o: skymixer.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -219,8 +224,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
- 
-$(SOPHYAOBJP)skymixer.o: skymixer.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
+ 
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -293,8 +300,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
- 
-$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -369,6 +378,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgrsr.cc
  
-$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)tgsky.o: tgsky.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
Index: /trunk/SophyaProg/PMixer/smakefile
===================================================================
--- /trunk/SophyaProg/PMixer/smakefile	(revision 3878)
+++ /trunk/SophyaProg/PMixer/smakefile	(revision 3879)
@@ -39,6 +39,43 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)Sph2Sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)easyTest.o: easyTest.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)blackbody.h \
+  $(SOPHYAINCP)radspec.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)convtools.h \
+  $(SOPHYAINCP)radspecvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)specrespvector.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)squarefilt.h \
+  $(SOPHYAINCP)gaussfilt.h \
+  $(SOPHYAINCP)trianglefilt.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
+ 
+$(SOPHYAOBJP)extractRS.o: extractRS.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -111,42 +148,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
- 
-$(SOPHYAOBJP)easyTest.o: easyTest.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)blackbody.h \
-  $(SOPHYAINCP)radspec.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)convtools.h \
-  $(SOPHYAINCP)radspecvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)randinterf.h \
-  $(SOPHYAINCP)tmatrix_tsnl.h \
-  $(SOPHYAINCP)tvector_tsnl.h \
-  $(SOPHYAINCP)specrespvector.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)squarefilt.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  $(SOPHYAINCP)trianglefilt.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  easyTest.cc
- 
-$(SOPHYAOBJP)extractRS.o: extractRS.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
+ 
+$(SOPHYAOBJP)skymixer.o: skymixer.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -219,8 +224,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extractRS.cc
- 
-$(SOPHYAOBJP)skymixer.o: skymixer.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
+ 
+$(SOPHYAOBJP)Sph2Sph.o: Sph2Sph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -293,8 +300,10 @@
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)mapoperation.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  skymixer.cc
- 
-$(SOPHYAOBJP)tgrsr.o: tgrsr.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  Sph2Sph.cc
+ 
+$(SOPHYAOBJP)tgrsr.o: tgrsr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
@@ -369,6 +378,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tgrsr.cc
  
-$(SOPHYAOBJP)tgsky.o: tgsky.cc $(SOPHYAINCP)sopnamsp.h \
-  pmixer.h $(SOPHYAINCP)machdefs.h \
+$(SOPHYAOBJP)tgsky.o: tgsky.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  pmixer.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)machdefs.h \
Index: /trunk/SophyaProg/PrgMap/Makefile
===================================================================
--- /trunk/SophyaProg/PrgMap/Makefile	(revision 3878)
+++ /trunk/SophyaProg/PrgMap/Makefile	(revision 3879)
@@ -39,5 +39,6 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extrap2sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)cl2map.o: cl2map.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)cl2map.o: cl2map.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -70,4 +71,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -91,5 +97,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
@@ -225,5 +230,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrap2sph.cc
  
-$(SOPHYAOBJP)extrapsph.o: extrapsph.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)extrapsph.o: extrapsph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -277,5 +283,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrapsph.cc
  
-$(SOPHYAOBJP)map2cl.o: map2cl.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)map2cl.o: map2cl.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -308,4 +315,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -329,5 +341,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
@@ -356,5 +367,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  map2cl.cc
  
-$(SOPHYAOBJP)prjsmap.o: prjsmap.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)prjsmap.o: prjsmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -387,4 +399,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -408,5 +425,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
Index: /trunk/SophyaProg/PrgMap/smakefile
===================================================================
--- /trunk/SophyaProg/PrgMap/smakefile	(revision 3878)
+++ /trunk/SophyaProg/PrgMap/smakefile	(revision 3879)
@@ -39,5 +39,6 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extrap2sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)cl2map.o: cl2map.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)cl2map.o: cl2map.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -70,4 +71,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -91,5 +97,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
@@ -225,5 +230,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrap2sph.cc
  
-$(SOPHYAOBJP)extrapsph.o: extrapsph.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)extrapsph.o: extrapsph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -277,5 +283,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrapsph.cc
  
-$(SOPHYAOBJP)map2cl.o: map2cl.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)map2cl.o: map2cl.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -308,4 +315,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -329,5 +341,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
@@ -356,5 +367,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  map2cl.cc
  
-$(SOPHYAOBJP)prjsmap.o: prjsmap.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)prjsmap.o: prjsmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -387,4 +399,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -408,5 +425,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
Index: /trunk/SophyaProg/PrgUtil/Makefile
===================================================================
--- /trunk/SophyaProg/PrgUtil/Makefile	(revision 3878)
+++ /trunk/SophyaProg/PrgUtil/Makefile	(revision 3879)
@@ -24,5 +24,6 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)scanfits.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)runcxx.o: runcxx.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)runcxx.o: runcxx.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -54,4 +55,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -65,5 +71,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  runcxx.cc
  
-$(SOPHYAOBJP)scanfits.o: scanfits.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scanfits.o: scanfits.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -89,5 +96,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scanfits.cc
  
-$(SOPHYAOBJP)scanppf.o: scanppf.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scanppf.o: scanppf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
Index: /trunk/SophyaProg/PrgUtil/smakefile
===================================================================
--- /trunk/SophyaProg/PrgUtil/smakefile	(revision 3878)
+++ /trunk/SophyaProg/PrgUtil/smakefile	(revision 3879)
@@ -24,5 +24,6 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)scanfits.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)runcxx.o: runcxx.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)runcxx.o: runcxx.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)tarrinit.h \
@@ -54,4 +55,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -65,5 +71,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  runcxx.cc
  
-$(SOPHYAOBJP)scanfits.o: scanfits.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scanfits.o: scanfits.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)fitsfile.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -89,5 +96,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  scanfits.cc
  
-$(SOPHYAOBJP)scanppf.o: scanppf.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)scanppf.o: scanppf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)machdefs.h \
